// http://akelpad.sourceforge.net/forum/viewtopic.php?p=5464#5464
// Version: 1.1
// Author: Shengalts Aleksander aka Instructor
//
//
// Description(1033): One line - one file. Open all selected files in associated programs.
// Description(1049): Одна строка - один файл. Открыть все выделенные файлы в ассоциированных программах.

var hMainWnd=AkelPad.GetMainWnd();
var oSys=AkelPad.SystemFunction();
var pSelText;
var nIndex;

if (pSelText=AkelPad.GetSelText())
{
  if (pLinesArray=pSelText.split("\r"))
  {
    for (nIndex=0; nIndex < pLinesArray.length; ++nIndex)
    {
      if (pLinesArray[nIndex])
      {
        oSys.Call("shell32::ShellExecute" + _TCHAR, hMainWnd, "open", pLinesArray[nIndex], 0, 0, 1 /*SW_SHOWNORMAL*/);
      }
    }
  }
}
